Bug 85093 - print/acroread7 - Acrobat reader security advisory, CVE-2005-2470
Summary: print/acroread7 - Acrobat reader security advisory, CVE-2005-2470
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon L. B. Nielsen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-18 18:10 UTC by parv
Modified: 2005-08-26 23:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2005-08-18 18:10:12 UTC
Found on CNET about the Acrobat reader security advisory ...

  http://www.adobe.com/support/techdocs/321644.html


... solution is to upgrade from 7.0.0 to 7.0.1
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-19 07:23:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

Over to maintainer. 

Note that this concerns a security problem.
Comment 2 Boris B.Samorodov 2005-08-19 18:53:14 UTC
Here is the patch to upgrade print/acroread7 to new version with
security bugfix:

-----
diff -ruN acroread7.orig/Makefile acroread7/Makefile
--- acroread7.orig/Makefile     Fri Aug 19 21:44:03 2005
+++ acroread7/Makefile  Fri Aug 19 20:36:30 2005
@@ -6,11 +6,11 @@
 #
 
 PORTNAME=      acroread7
-PORTVERSION=   7.0.0
+PORTVERSION=   7.0.1
 CATEGORIES=    print linux
 MASTER_SITES=  http://download.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/ \
                ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/
-DISTNAME=      AdobeReader_enu-7.0.0-2.i386.rpm
+DISTNAME=      AdobeReader_enu-7.0.1-1.i386.rpm
 EXTRACT_SUFX=
 DIST_SUBDIR=   acroread
 EXTRACT_ONLY=
diff -ruN acroread7.orig/distinfo acroread7/distinfo
--- acroread7.orig/distinfo     Fri Aug 19 20:29:31 2005
+++ acroread7/distinfo  Fri Aug 19 21:00:05 2005
@@ -1,2 +1,2 @@
-MD5 (acroread/AdobeReader_enu-7.0.0-2.i386.rpm) = 386dd54cb91014f1e631764ba10deef7
-SIZE (acroread/AdobeReader_enu-7.0.0-2.i386.rpm) = 39263484
+MD5 (acroread/AdobeReader_enu-7.0.1-1.i386.rpm) = b3b40ae184724551ab76f9168647b906
+SIZE (acroread/AdobeReader_enu-7.0.1-1.i386.rpm) = 39261960
-----

To apply the patch do:

$ cd /usr/ports/print
$ patch < the_patch


WBR
-- 
bsam
Comment 3 Simon L. B. Nielsen freebsd_committer 2005-08-26 23:12:43 UTC
State Changed
From-To: open->closed

Committed, thanks! 


Comment 4 Simon L. B. Nielsen freebsd_committer 2005-08-26 23:12:43 UTC
Responsible Changed
From-To: trevor->simon

I committed the patch due to maintainer timeout on security issue.